#!/usr/bin/perl -w

use strict;
use WWW::Mechanize;


my $agent = WWW::Mechanize->new();
my $link = "http://www.google.at/";

my $response = $agent->get($link);
if ($response->is_success) {
   foreach my $form ($agent->forms) {
      evaluateForm($agent, $form, $link);
   }
}


###


sub evaluateForm {
   my $agent = shift;
   my $form = shift;
   my $link = shift;

   # Fill form
   foreach my $input ($form->inputs) {
      if ($input->type =~ /(password|text|file)/) {
         $agent->field($input->name, "test");
	    
      } elsif ($input->type =~ /(option|radio)/) {
         my @values = $input->possible_values;
         $agent->field($input->name, $values[0]);
	    
      } elsif ($input->type =~ /checkbox/) {
         $agent->tick($input->name, $input->value);
      }
   }
   
   # Execute form
   my $response = $agent->submit();
   if ($response->is_success) {
      print "Form ", $form->action, "\nat $link works\n\n";
   } else {
      print "Form ", $form->action, "\nat $link does not work\n\n";
   }
}

