#!/usr/bin/perl

use strict;
use WWW::Mechanize;
use WWW::Mechanize::FormFiller;
use HTML::TableExtract;

my $agent = WWW::Mechanize->new( autocheck => 1 );
my $formfiller = WWW::Mechanize::FormFiller->new();

$agent->get('http://www.airberlin.com/site/abflugplan.php?page=abflugplan.php&LANG=deu');
$formfiller->add_filler( 'VON' => Fixed => 'AMS' );
$formfiller->add_filler( 'TAG' => Fixed => '13' );
$formfiller->add_filler( 'MONAT' => Fixed => '08' );
$formfiller->add_filler( 'JAHR' => Fixed => '05' );
$formfiller->add_filler( 'ONEWAY' => Fixed => 'ONEWAY' );
$formfiller->add_filler( 'NACH' => Fixed => 'BER' );
$formfiller->fill_form($agent->current_form);
$agent->submit();

my $content = $agent->content;

$agent->form_name('flug');
$agent->current_form->value('TAG', '01'); 
$agent->current_form->value('originalTAG', '13'); 
$agent->current_form->value('originalMON', '08'); 
$agent->submit();

$content = $agent->content . $content;
$content =~ s/&euro;//g;

my @columns = ('Abflugdatum','Abflugzeit','Preis','Freie');
my $table = HTML::TableExtract->new( headers => [ @columns ]);
$table->parse($content);

print "Date\tTime\t  Price\tSeats\n";
foreach my $ts ($table->table_states) {
   foreach my $row ($ts->rows) {
      my $line = join("\t", @$row);
      if (index($line, "F l ") == -1) {
         $line =~ s/\(.+\)//;
         print $line ."\n";
      }
   }
}
